%if 0%{?el7}
%define dist .el7
%endif

%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name %(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')

Name:           php-pear-System-Daemon
Version:        1.0.0
Release:        4%{?dist}
Summary:        Turn PHP scripts into Linux daemons

Group:          Development/Languages
License:        BSD
URL:            http://pear.php.net/package/%{pear_name}
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires:       php-pear-Log >= 1.0.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
System_Daemon is a PHP class that allows developers to create their own daemon 
applications on Linux systems. The class is focussed entirely on creating & 
spawning standalone daemons, and for example includes:

1. Methods to generate OS-specific startup-files (init.d) (currently only 
Debian/Ubuntu are supported), so that your application gets started on 
reboot as well.
2. Methods for logging purposes, also support for PEAR's Log package 
3. Simple syntax
5. Can run with or without PEAR (PEAR adds more elegance & functionality, 
no-PEAR offers functionality like including system_daemon with svn:externals
and reduced dependencies)
6. Default signal handlers, but optionally reroute signals to your own 
handlers. 
7. Set options like max RAM usage

%prep
%setup -q -c

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=Asia/Tokyo" >>php.ini

[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir
mv $RPM_BUILD_ROOT%{pear_phpdir}/README.md docdir/%{pear_name}/docs/

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.0.0-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.0.0-3
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 1.0.0-2
- Rebuilt for fc22

* Mon Apr  1 2013 momo-i <webmaster@momo-i.org> 1.0.0-1
- Initial rpm release.
